package cn.iocoder.yudao.module.identity.convert.generatebatch;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.identity.controller.admin.generatebatch.vo.*;
import cn.iocoder.yudao.module.identity.dal.dataobject.generatebatch.GenerateBatchDO;

/**
 * 码生成记录与批次关联记录 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface GenerateBatchConvert {

    GenerateBatchConvert INSTANCE = Mappers.getMapper(GenerateBatchConvert.class);

    GenerateBatchDO convert(GenerateBatchCreateReqVO bean);

    GenerateBatchDO convert(GenerateBatchUpdateReqVO bean);

    GenerateBatchRespVO convert(GenerateBatchDO bean);

    List<GenerateBatchRespVO> convertList(List<GenerateBatchDO> list);

    PageResult<GenerateBatchRespVO> convertPage(PageResult<GenerateBatchDO> page);

    List<GenerateBatchExcelVO> convertList02(List<GenerateBatchDO> list);

    List<GenerateBatchDO> convertListCreate(List<GenerateBatchSaveReqVO> generateRecordIds);
}
